<?php
  $lat = 10;
  
  if(isset($_POST['data_ur'])){
    $data_ur = $_POST['data_ur'];
    setcookie("data_ur", $data_ur, time() + 60 * 60 * 24 * 365 * $lat);
    header('Location:index.php');
    die();
  }
  
  if(isset($_COOKIE['data_ur'])){
    $data_ur = $_COOKIE['data_ur'];
    if($data_ur == date('d-m', time())){
      $urodzinyStr = "Ale fajnie, masz dzisiaj urodziny!";
    }
  } else if(!isset($data_ur)) {
    $data_ur = "DD-MM";
  }
?>

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <p>
    Witamy na stronie.
    </p>

    <?php 
      if(isset($urodzinyStr)){
        echo "<p>$urodzinyStr</p>";
      }
    ?>
    <form action='index.php' method='post'>
      <div>
        Tu możesz wprowadzić dzień i miesiąc urodzin: 
        <input type='text' name='data_ur' value='<?php echo $data_ur; ?>'>
        <br>
        <input type='submit' value='Ustaw'>
      </div>
    </form>
  </body>
</html>